/*!
  * iarco-ui v1.0.0
  * (c) 2022 kkb
  * @license MIT
  */
var Element3 = (function (exports, vue) {
  'use strict';

  var script$1 = {
    name: 'Alert',
  };

  function render$1(_ctx, _cache, $props, $setup, $data, $options) {
    return (vue.openBlock(), vue.createElementBlock("div"))
  }

  script$1.render = render$1;
  script$1.__file = "packages/Alert/Alert.vue";

  script$1.install = function (Vue) {
    Vue.component(script$1.name, script$1);
  };

  var script = {
    name: "AButton",

    props: {
      type: {
        type: String,
        default: "default",
      },
      size: {
        type: String,
        default: "",
      },
      icon: {
        type: String,
        default: "",
      },
      nativeType: {
        type: String,
        default: "button",
      },
      loading: Boolean,
      disabled: Boolean,
      plain: Boolean,
      autofocus: Boolean,
      round: Boolean,
      circle: Boolean,
    },
    emits: ["click"],
    setup(props, ctx) {
      const { size, disabled } = vue.toRefs(props);

      const buttonSize = useButtonSize(size);
      const buttonDisabled = useButtonDisabled(disabled);

      const handleClick = (evt) => {
        ctx.emit("click", evt);
      };

      return {
        handleClick,
        buttonSize,
        buttonDisabled,
      };
    },
  };

  const useButtonSize = (size) => {
    const elFormItem = vue.inject("elFormItem", {});

    const _elFormItemSize = vue.computed(() => {
      return vue.unref(elFormItem.elFormItemSize);
    });

    const buttonSize = vue.computed(() => {
      return (
        size.value ||
        _elFormItemSize.value ||
        (vue.getCurrentInstance().proxy.$ELEMENT || {}).size
      );
    });

    return buttonSize;
  };

  const useButtonDisabled = (disabled) => {
    const elForm = vue.inject("elForm", {});

    const buttonDisabled = vue.computed(() => {
      return disabled.value || vue.unref(elForm.disabled);
    });

    return buttonDisabled;
  };

  const _hoisted_1 = ["disabled", "autofocus", "type"];
  const _hoisted_2 = {
    key: 0,
    class: "el-icon-loading"
  };
  const _hoisted_3 = { key: 2 };

  function render(_ctx, _cache, $props, $setup, $data, $options) {
    return (vue.openBlock(), vue.createElementBlock("button", {
      class: vue.normalizeClass(["el-button", [
        $props.type ? 'el-button--' + $props.type : '',
        $setup.buttonSize ? 'el-button--' + $setup.buttonSize : '',
        {
          'is-disabled': $setup.buttonDisabled,
          'is-loading': $props.loading,
          'is-plain': $props.plain,
          'is-round': $props.round,
          'is-circle': $props.circle,
        },
      ]]),
      onClick: _cache[0] || (_cache[0] = (...args) => ($setup.handleClick && $setup.handleClick(...args))),
      disabled: $setup.buttonDisabled || $props.loading,
      autofocus: $props.autofocus,
      type: $props.nativeType
    }, [
      ($props.loading)
        ? (vue.openBlock(), vue.createElementBlock("i", _hoisted_2))
        : vue.createCommentVNode("v-if", true),
      ($props.icon && !$props.loading)
        ? (vue.openBlock(), vue.createElementBlock("i", {
            key: 1,
            class: vue.normalizeClass($props.icon)
          }, null, 2 /* CLASS */))
        : vue.createCommentVNode("v-if", true),
      (_ctx.$slots.default)
        ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_3, [
            vue.renderSlot(_ctx.$slots, "default")
          ]))
        : vue.createCommentVNode("v-if", true)
    ], 10 /* CLASS, PROPS */, _hoisted_1))
  }

  script.render = render;
  script.__file = "packages/Button/Button.vue";

  script.install = function (Vue) {
    Vue.component(script.name, script);
  };

  let components = [script$1, script]; // 1.支持全局注册

  var index = {
    install(Vue) {
      components.forEach(() => {
        Vue.component(item.name, item);
      });
    }

  }; // 2.支持按需导入
  n;

  exports.Alert = script$1;
  exports.Button = script;
  exports["default"] = index;

  Object.defineProperty(exports, '__esModule', { value: true });

  return exports;

})({}, Vue);
